List racks metrics

GET/v1/metrics/racks

A GET request to the /v1/metrics/racks endpoint will send racks metrics in the OpenMetrics format. The metrics show:

  • the count of racks per location;

  • the count of hosts per rack;

  • instantaneous power draw and electrical current from rack PDUs in watts and amperes;

  • instantaneous power draw and electrical current from rack ATSs in watts and amperes;

  • sent and received traffic per rack in bytes.

An example of data is presented in the response sample.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

text/plain

application/json

curl -X GET "https://example.com/v1/metrics/racks"
"# HELP: serverscom_racks_count Count of the racks\n# TYPE: serverscom_racks_count gauge\nserverscom_racks_count{location_id=\"1877\",location_code=\"location3858\"} 2\n\n# HELP: serverscom_rack_hosts_count Count of the hosts in the rack\n# TYPE: serverscom_rack_hosts_count gauge\nserverscom_rack_hosts_count{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\"} 0\nserverscom_rack_hosts_count{location_id=\"1877\",location_code=\"location3858\",rack_id=\"MvbmxpaY\",rack_title=\"s1348\"} 0\n\n# HELP: serverscom_rack_pdu_power_watts Instantaneous power draw from the rack PDU, measured in watts (W).\n# TYPE: serverscom_rack_pdu_power_watts gauge\nserverscom_rack_pdu_power_watts{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",pdu_name=\"p1c11.sandbox.servers.com\"} 6088238.63\n\n# HELP: serverscom_rack_pdu_current_amperes Instantaneous electrical current draw from the rack PDU, measured in amperes (A).\n# TYPE: serverscom_rack_pdu_current_amperes gauge\nserverscom_rack_pdu_current_amperes{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",pdu_name=\"p1c11.sandbox.servers.com\"} 6786991.37\n\n# HELP: serverscom_rack_ats_power_watts Instantaneous power draw from the rack ATS, measured in watts (W).\n# TYPE: serverscom_rack_ats_power_watts gauge\nserverscom_rack_ats_power_watts{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",ats_name=\"a1c11.sandbox.servers.com\"} 3256343.53\n\n# HELP: serverscom_rack_ats_current_amperes Instantaneous electrical current draw from the rack ATS, measured in amperes (A).\n# TYPE: serverscom_rack_ats_current_amperes gauge\nserverscom_rack_ats_current_amperes{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",ats_name=\"a1c11.sandbox.servers.com\"} 4596407.78\n\n# HELP: serverscom_rack_monthly_sent_bytes_total Rack monthly sent bytes total\n# TYPE: serverscom_rack_monthly_sent_bytes_total counter\nserverscom_rack_monthly_sent_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",traffic_type=\"public\"} 7128593082\nserverscom_rack_monthly_sent_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",traffic_type=\"private\"} 190313841851\nserverscom_rack_monthly_sent_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"MvbmxpaY\",rack_title=\"s1348\",traffic_type=\"public\"} 320240713207\nserverscom_rack_monthly_sent_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"MvbmxpaY\",rack_title=\"s1348\",traffic_type=\"private\"} 884858993847\n\n# HELP: serverscom_rack_monthly_received_bytes_total Rack monthly received bytes total\n# TYPE: serverscom_rack_monthly_received_bytes_total counter\nserverscom_rack_monthly_received_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",traffic_type=\"public\"} 155269473738\nserverscom_rack_monthly_received_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"pnelwldK\",rack_title=\"s1347\",traffic_type=\"private\"} 941546741488\nserverscom_rack_monthly_received_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"MvbmxpaY\",rack_title=\"s1348\",traffic_type=\"public\"} 46383991531\nserverscom_rack_monthly_received_bytes_total{location_id=\"1877\",location_code=\"location3858\",rack_id=\"MvbmxpaY\",rack_title=\"s1348\",traffic_type=\"private\"} 127438068988\n"